Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.util
Class ExceptionWrapper

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.objexcel.util.ExceptionWrapper

public final class ExceptionWrapper
extends java.lang.RuntimeException

ExceptionWrapper beautifies any exception passed in to it for end user consumption. implements singleton for performance (use only in swing thread) permits chaining

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `msg`
`java.lang.Throwable` | `original`

Constructor Summary
`ExceptionWrapper(java.lang.String error)`
`ExceptionWrapper(java.lang.String context, java.lang.Throwable original)`

Method Summary
`static ExceptionWrapper` | `getInstance(java.lang.String error)`
`static ExceptionWrapper` | `getInstance(java.lang.String context, java.lang.Throwable original)`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### original

    public java.lang.Throwable original

### msg

    public java.lang.String msg

Constructor Detail

### ExceptionWrapper

    public ExceptionWrapper(java.lang.String context,
                            java.lang.Throwable original)

### ExceptionWrapper

    public ExceptionWrapper(java.lang.String error)

Method Detail

### getInstance

    public static ExceptionWrapper getInstance(java.lang.String context,
                                               java.lang.Throwable original)

### getInstance

    public static ExceptionWrapper getInstance(java.lang.String error)

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD